### Method

# Ide BufferManager has_file

#### Declaration

    gboolean
    ide_buffer_manager_has_file (
      IdeBufferManager* self,
      GFile* file
    )

#### Description

Checks to see if a buffer has been loaded which contains the contents of `file`.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if a buffer exists for `file`.